Summary:A program for querying NRPE daemons
Name: check_nrpe4
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/system-addons
License: GPL-2.0-only
URL: https://www.itrsgroup.com/
%global nrpeversion 4.0.3
Source0: https://github.com/NagiosEnterprises/nrpe/archive/nrpe-%{nrpeversion}.tar.gz
BuildRoot: %{_tmppath}/nrpe-%{nrpeversion}
BuildRequires: openssl
BuildRequires: openssl-devel
Requires: nrpe

%description
nrpe-client is a small program designed to query an NRPE daemon
running on a remote server and returning the output and return
code of the command the NRPE daemon runs on behalf of the client.

This is intended to be used on your monitoring server, while the
daemon should run on the servers you want to monitor.

%prep
# For some reason we need double nrpe name here. Not sure why
%setup -q -n nrpe-nrpe-%{nrpeversion}

%build
%configure --enable-command-args
make check_nrpe

%install
rm -rf %buildroot

mkdir -p %buildroot/opt/plugins
cp src/check_nrpe %buildroot/opt/plugins/check_nrpe4
rm src/nrpe


%files
%defattr(644,root,root)
%attr(755,root,root) /opt/plugins/check_nrpe4
%license LICENSE.md
%doc README.md

%clean
rm -rf %buildroot

%changelog
* Wed Jul 1 2020 Jacob Hansen <jhansen@itrsgroup.com> -
- Adjusted for check_nrpe4
* Thu Nov 14 2019 Jacob Hansen <jhansen@itrsgroup.com> -
- Added package for slim poller
* Mon Nov 12 2007 Andreas Ericsson <ae@op5.se> -
- Tracked alongside sources for autobuild voodoo to work.
